;; Enable prism-whitespace-mode for YAML and XML automatically. Detect
;; the amount of whitespace from the respective mode.

(use-package prism
  :config
  (add-to-list 'prism-whitespace-mode-indents '(yaml-mode . yaml-indent-offset))
  (add-to-list 'prism-whitespace-mode-indents '(nxml-mode . nxml-child-indent))
  :hook
  (yaml-mode . prism-whitespace-mode)
  (nxml-mode . prism-whitespace-mode))
